[arch-commits] CVS update of extra/system/aufs-utils (PKGBUILD)
Paul Mattal
paul at archlinux.org
Tue Oct 23 13:59:51 UTC 2007
Date: Tuesday, October 23, 2007 @ 09:59:51
Author: paul
Path: /home/cvs-extra/extra/system/aufs-utils
Added: PKGBUILD (1.1)
upgpkg: aufs-utils 20071017-1
aufs refactored as aufs and aufs-utils
----------+
PKGBUILD | 40 ++++++++++++++++++++++++++++++++++++++++
1 file changed, 40 insertions(+)
Index: extra/system/aufs-utils/PKGBUILD
diff -u /dev/null extra/system/aufs-utils/PKGBUILD:1.1
--- /dev/null Tue Oct 23 09:59:51 2007
+++ extra/system/aufs-utils/PKGBUILD Tue Oct 23 09:59:51 2007
@@ -0,0 +1,40 @@
+# $Id: PKGBUILD,v 1.1 2007/10/23 13:59:51 paul Exp $
+# Contributor: Paul Mattal <paul at mattal.com>
+# Maintainer: Paul Mattal <pjmattal at elys.com>
+pkgname=aufs-utils
+pkgver=20071017
+pkgrel=1
+_kernver='2.6.23-ARCH'
+pkgdesc="Another Unionfs Implementation that supports NFS branches"
+arch=('i686')
+url="http://aufs.sourceforge.net/"
+license=('GPL2')
+depends=('glibc')
+source=(http://gerolde.archlinux.org/~paul/aufs-$pkgver.tar.gz)
+md5sums=('804d2b634dac3ff3d4d35c7513a12edd')
+
+build() {
+ cd $startdir/src/aufs || return 1
+
+ # configure for NFS by:
+ # 1) configure local.mk to use FILP and LHASH
+ sed -i 's|CONFIG_AUFS_PUT_FILP_PATCH =|CONFIG_AUFS_PUT_FILP_PATCH = y|' \
+ local.mk || return 1
+ sed -i 's|CONFIG_AUFS_LHASH_PATCH =|CONFIG_AUFS_LHASH_PATCH = y|' \
+ local.mk || return 1
+ # 2) configure local.mk NOT to use FAKE_DM
+ sed -i 's|CONFIG_AUFS_FAKE_DM = y|CONFIG_AUFS_FAKE_DM = |' \
+ local.mk || return 1
+
+ # build
+ make KDIR=/usr/src/linux-$_kernver/ -f local.mk || return 1
+
+ # install
+ install -D -m755 util/aufind.sh $startdir/pkg/usr/bin/aufind.sh || return 1
+ install -D -m755 util/aulchown $startdir/pkg/usr/bin/aulchown || return 1
+ install -D -m755 util/auplink $startdir/pkg/usr/bin/auplink || return 1
+ install -D -m755 util/mount.aufs $startdir/pkg/sbin/mount.aufs || return 1
+ install -D -m755 util/umount.aufs $startdir/pkg/sbin/umount.aufs || return 1
+}
+
+# vim:set ts=2 sw=2 et:
More information about the arch-commits
mailing list